package com.hxhq.business.enums.zykgl;

/**
 * 记录状态 1:未锁定 3:已锁定 5:待归档 7:归档 9:待解档
 * @author tanfei
 */
public enum JlztEnum {

    /**
     * 未锁定
     */
    wsd(1, "未锁定"),

    /**
     * 已锁定
     */
    ysd(3, "已锁定"),

    /**
     * 待归档
     */
    dgd(5, "待归档"),

    /**
     * 归档
     */
    gd(7, "归档"),

    /**
     * 待解档
     */
    djd(9, "待解档");

    private int value;
    private String text;

    JlztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static JlztEnum getEnumByValue(int type) {
        for (JlztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
